### Method

# GdkWayland WaylandDevice get_wl_keyboard

#### Declaration [src]

    wl_keyboard*
    gdk_wayland_device_get_wl_keyboard (
      GdkDevice* device
    )

#### Description [src]

Returns the Wayland `wl_keyboard` of a `GdkDevice`.

This method is not directly available to language bindings.

#### Return value

Type: `wl_keyboard*`

A Wayland `wl_keyboard`

The data is owned by the instance.
The return value can be `NULL`.